"use client";

import LoginPage from "./LoginPage";
import Loading from "@/components/Loading";

import { useState, useEffect } from "react";
import { useRouter } from "next/navigation";
import axios from "axios";
import Cookies from "js-cookie";

export default function Login() {
  const router = useRouter();
  const [loading, setLoading] = useState(true);

  useEffect(() => {
    const init = async () => {
      await axios.get("/api/user/init").then((response) => {
        if(response.data.message === "No users found") {
          router.push("/setup");
        } else {
          setLoading(false);
        }
      }).catch((error) => {
        console.error(error);
      });
    };
    init();

    const token = Cookies.get("token");
    if(token){
      router.push("/dashboard");
    }
  }, []);

  if (loading) {
    return <Loading />;
  } else {
    return <LoginPage />;
  }
}